Skip to main content
GET
/
tasks
List tasks
curl --request GET \
  --url https://us.api.flexprice.io/v1/tasks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "environment_id": "<string>",
      "error_summary": "<string>",
      "failed_at": "2023-11-07T05:31:56Z",
      "failed_records": 123,
      "file_name": "<string>",
      "file_url": "<string>",
      "id": "<string>",
      "metadata": {},
      "processed_records": 123,
      "scheduled_task_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "successful_records": 123,
      "tenant_id": "<string>",
      "total_records": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>",
      "workflow_id": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Query Structure

query($filter: TaskFilterType) {
  tasks {
    all(filter: $filter) {
      edges {
        node {
          id
          status
          subtype
          start_quantity
          confirmed_quantity
          priority
          drop_sequence
          notes
          created_at
          assigned_at
          completed_at
          start_at
          end_at
          last_accessed_at
          account {
            id
            code
            name
          }
          warehouse {
            id
            code
            name
          }
          product {
            id
            code
            name
          }
          location_from {
            id
            code
          }
          location_to {
            id
            code
          }
          task_type {
            id
            code
            name
          }
          user {
            id
            name
          }
          storage_unit_from {
            id
            reference
          }
          storage_unit_to {
            id
            reference
          }
          goods_out {
            id
            reference
          }
          load {
            id
            reference
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators:
{
  "filter": {
    "status": {
      "eq": "AVAILABLE"
    },
    "task_type_code": {
      "eq": "PICK"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
statusStringInputTypeeq, ilike, like, in, betweenTask status (e.g., AVAILABLE, ALLOCATED, COMPLETED)
subtypeStringInputTypeeq, ilike, like, in, betweenTask subtype
task_type_codeStringInputTypeeq, ilike, like, in, betweenTask type code (PICK, DISP, RCV, PWAY, TRAN, REPLEN, LOAD, CONV)
account_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by account ID
warehouse_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by warehouse ID
product_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by product ID
location_from_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by source location ID
location_to_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by destination location ID
user_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by assigned user ID
goods_out_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by goods out order ID
goods_in_receipt_line_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by goods in receipt line ID
storage_unit_from_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by source storage unit ID
load_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by load ID
assigned_atDatetimeInputTypeeq, from, to, betweenFilter by assignment date
completed_atDatetimeInputTypeeq, from, to, betweenFilter by completion date
created_atDatetimeInputTypeeq, from, to, betweenFilter by creation date
priorityIntegerInputTypeeq, gt, gteq, lt, lteq, betweenFilter by priority
drop_sequenceIntegerInputTypeeq, gt, gteq, lt, lteq, betweenFilter by drop sequence

Filter Operators

Input TypeOperators
StringInputTypeeq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range)
IntegerInputTypeeq, gt, gteq, lt, lteq, between
DatetimeInputTypeeq, from, to, between
BooleanInputTypeeq (required)
IdInputTypeeq, gt, gteq, lt, lteq, in, filled
More fields and filters available via GraphQL introspection.

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Query Parameters

created_by
string
end_time
string
entity_type
enum<string>
Available options:
EVENTS,
PRICES,
CUSTOMERS,
FEATURES
expand
string
limit
integer
Required range: 1 <= x <= 1000
offset
integer
Required range: x >= 0
order
enum<string>
Available options:
asc,
desc
scheduled_task_id
string
sort
string
start_time
string
status
enum<string>
Available options:
published,
deleted,
archived
task_status
enum<string>
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
task_type
enum<string>
Available options:
IMPORT,
EXPORT

Response

OK

items
object[]
pagination
object